Bug 57391 - EDITING: clicking into slide title changes font and cursor position
Summary: EDITING: clicking into slide title changes font and cursor position
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Impress-UX
  Show dependency treegraph
 
Reported: 2012-11-22 03:32 UTC by bugquestcontri
Modified: 2018-09-18 02:50 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
draw file with screen shots and explanations (67.89 KB, application/vnd.oasis.opendocument.graphics)
2012-11-22 03:32 UTC, bugquestcontri
Details
sample file with explanation inside (98.47 KB, application/vnd.oasis.opendocument.presentation)
2012-12-04 06:49 UTC, bugquestcontri
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bugquestcontri 2012-11-22 03:32:50 UTC
Created attachment 70403 [details]
draw file with screen shots and explanations

Problem description: 
When editing the title of a slide, the following was observed:

1a – When the text is filling the lines almost fully,and the cursor is clicked at needed position, the cursor jumps to a different location and the font increases.
Thus cursor must be reposition and the real title layout is not 
to be seen due to the increased font

1b- When the text fills the lines almost fully and a certain word is selected by double clicking into the word, the font increases and the word is selected correctly.

2 – When the title contains only a single line, and the line is not almost fully filled with text, the cursor positions correctly and the font does not increase

Steps to reproduce:
1. Click into a slide title where the text almost fills the line
2. ....
3. ....

Current behavior:
Font size increases and cursor jumps to different location

Expected behavior:
Font size does not change and cursor appears at selected position

Platform (if different from the browser): XP / SP3
              
Browser: Mozilla/5.0 (Windows NT 5.1; rv:17.0) Gecko/17.0 Firefox/17.0

I can be contacted.
Comment 1 Rob Snelders 2012-12-03 19:39:06 UTC
Thank you for reporting this bug.

However I can't reproduce the bug with LO 3.6.0.1 on Ubuntu 12.04 x86_64.

Would it be possible to attach the document so I can check with that?
Comment 2 Rob Snelders 2012-12-03 19:39:41 UTC
I forgot to ask:
Do you have the font installed where the title-text is in?
Comment 3 bugquestcontri 2012-12-04 06:49:13 UTC
Created attachment 70983 [details]
sample file with explanation inside
Comment 4 bugquestcontri 2012-12-04 06:50:51 UTC
Font - yes the font is installed
Comment 5 bugquestcontri 2012-12-04 06:54:11 UTC
The attached example has only 2 slides but I observed the bug also here. I also saw the inconsistent behavior. Details are explained inside the slides.

The 2 slides were created in the original file, all other slides deleted, and file saved and attached.
Comment 6 Rob Snelders 2012-12-13 21:39:14 UTC
confirmed with LibreOffice 4.0-beta1 on Ubuntu 12.04 x86_64
Comment 7 bugquestcontri 2013-02-08 08:32:39 UTC
I am observing the same behavior in Version 3.6.5.2 (Build ID: 5b93205) on the same OS (XP Prof/SP3)
Comment 8 bugquestcontri 2013-11-26 09:38:30 UTC
I am observing the same behavior in Version 4.1.3.2 on the same OS (XP Prof/SP3)
Comment 9 QA Administrators 2015-04-19 03:22:57 UTC Comment hidden (obsolete)
Comment 10 bugquestcontri 2015-04-21 11:18:55 UTC
Test made in 4.3.6.1 on an XP machine.

Bug still is reproducible. 

Left status untouched as NEW.
Comment 11 QA Administrators 2016-09-20 09:33:19 UTC Comment hidden (obsolete)
Comment 12 Thomas Lendo 2017-09-17 21:08:42 UTC
Still repro with Version: 6.0.0.0.alpha0+
Build-ID: 7315f325ff7ada3d6bd85a471058fdaeaff8cdb0
CPU-Threads: 4; Betriebssystem:Linux 4.10; UI-Render: Standard; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-09-17_06:58:21
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group
Comment 13 QA Administrators 2018-09-18 02:50:26 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug